RIO_STD_ROUTE_ADD_EN(9)

NAME
rio_std_route_add_entry - Add switch route table entry using standard registers defined in RIO specification rev.1.3

SYNOPSIS

int rio_std_route_add_entry(struct rio_mport * mport, u16 destid, u8 hopcount, u16 table, u16 route_destid, u8 route_port);

ARGUMENTS

mport
    Master port to issue transaction

destid
    Destination ID of the device

hopcount
    Number of switch hops to the device

table
    routing table ID (global or port-specific)

route_destid
    destID entry in the RT

route_port
    destination port for specified destID

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT